SAML Support Policy

This article specifies the Liferay support policy for SAML integrated authentication, not already covered in the generic Authentication policy. Liferay provides an Enterprise Subscription-only application for Liferay Digital Experience Platform, Liferay Portal EE, and Liferay Commerce ("the product") which integrates Liferay authentication with other SAML providers. Using the Liferay SAML application, Liferay Digital Enterprise and Liferay Portal EE can operate as identity provider and service provider.

For more information please see the Authentication policy.

Support Policy

  1. Liferay seeks to ensure that with the Liferay SAML application installed,the product can communicate with a SAML provider so as to  function as an identity provider or a service provider allowing users to sign in (SSO) and sign out (SLO). Liferay will resolve any issues with Liferay SAML or the product that interfere with this functionality.
  2. Liferay Support will provide guidance on product  installation and the configuration of the products such that users are able to sign in and sign out.
  3. Issues with any SAML provider are the responsibility of the third-party vendor to resolve.
  4. The installation and configuration of a non-Liferay SAML provider is the responsibility of the subscriber.

Compatible Solutions

  1. Liferay has implemented SAML integration in accordance with the SAML protocol. However, there are specific SAML providers which are utilized to test the product's SAML integration point. SAML providers tested with Liferay Software are listed on the Integrated Technology Compatibility Matrix for Liferay DXPLiferay Portal, and Liferay Commerce.
  2. IdP discovery and SAML implementations which rely on IdP discovery such as IdP Lite and SP Lite are not compatible.
  3. Fixes to the Liferay Connector to SAML 2.0 app for Liferay DXP 7.0 will only be provided for version 3.1.0 and later.  Liferay Support will no longer provide fixes for the Liferay Connector to SAML 2.0 version 3.0.0. Customers will be asked to upgrade to at least version 3.1.0 or be provided a snapshot based on 3.1.0 or higher. See our article on Important Changes concerning the Liferay Connector to SAML 2.0 Version 3.1.0.

    .

Additional Information

Was this article helpful?
1 out of 1 found this helpful